When creating a subtask, the priority of the main defect might be changed unwillingly

2013-05-22 09:11 - Joachim Steffenhagen

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 2.3.0

Description

When creating a subtask, the priority of the main defect might be changed unwillingly. Suppose the main defect has priority "Blocker"

(the highest one). Now when I create a subitem for it with priority "Normal", the priority of the main defect is changed to "Normal" too.

I think this is not ideal for two reaons: First the chosen priority might not be the one you want, yet the main priority gets overwritten

without any user notice (it does not even appear in the history) and therefore invalidation report data by mistake. The user should at

least be queried/notified, or only "Blocker" should be chosable to the subitem.

Second it does not seem very pratical to me. This mechanism assumes that the sum of the subitems equals the whole main item

which might not always be the case. You can have a main item with a high priority that has a sub item with a lower one as the sub

item is only one possible part of the solution of the main one. And if that assumption that subitems constitute the main item is seen as

correct by the developers, than it's questionable as to why changes to the status of the subitems don't automatically set the status of

the main item. To me it seems that this is inconsistent behaviour.

Related issues:

Is duplicate of Redmine - Feature #5875: Changes to child estimates should tr... New 2010-07-12

Is duplicate of Redmine - Feature #6687: Making an issue a subtask leads to l... New 2010-10-18

Is duplicate of Redmine - Feature #5490: Option for independent subtask prior... Closed 2010-05-10

History

#1 - 2013-05-22 09:18 - Etienne Massip

- Category set to Issues

#2 - 2013-05-22 20:33 - Mischa The Evil

Joachim Steffenhagen wrote:

When creating a subtask, the priority of the main defect might be changed unwillingly. Suppose the main defect has priority "Blocker" (the

highest one). Now when I create a subitem for it with priority "Normal", the priority of the main defect is changed to "Normal" too.

 Indeed. See #5875 and #6687.

Second it does not seem very pratical to me. This mechanism assumes that the sum of the subitems equals the whole main item which might not

always be the case. You can have a main item with a high priority that has a sub item with a lower one as the sub item is only one possible part

of the solution of the main one. And if that assumption that subitems constitute the main item is seen as correct by the developers, than it's

questionable as to why changes to the status of the subitems don't automatically set the status of the main item. To me it seems that this is

inconsistent behaviour.

 See #5490.

#3 - 2013-05-22 20:35 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

Closing as duplicate.
